using System;
using Server;
using System.Collections;
using System.Collections.Generic;
using Server.Misc;
using Server.Items;
using Server.Network;
using Server.Commands;
using Server.Commands.Generic;
using Server.Mobiles;
using Server.Accounting;
using Server.Regions;
using System.IO;
using Server.Targeting;

namespace Server.Scripts.Commands 
{
    public class BodyTypes
    {
        public static void Initialize()
        {
            CommandSystem.Register("BodyTypes", AccessLevel.Counselor, new CommandEventHandler( BodyTypess ));
        }

        [Usage("BodyTypes")]
        [Description("Increments a nearby creature's body by 1 point.")]
        public static void BodyTypess( CommandEventArgs e )
        {
			foreach ( Mobile m in (e.Mobile).GetMobilesInRange( 5 ) )
			{
				if ( m is BaseCreature )
				{
					m.BodyValue = m.BodyValue + 1;
					m.Say( "" + m.BodyValue + "" );
				}
			}
		}
    }
}